## org.springframework.orm.hibernate3
Class HibernateOptimisticLockingFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException
                                  org.springframework.dao.OptimisticLockingFailureException
                                      org.springframework.orm.ObjectOptimisticLockingFailureException
                                          org.springframework.orm.hibernate3.HibernateOptimisticLockingFailureException

All Implemented Interfaces:
  Serializable

    public class HibernateOptimisticLockingFailureException

extends ObjectOptimisticLockingFailureException

Hibernate-specific subclass of ObjectOptimisticLockingFailureException. Converts Hibernate's StaleObjectStateException and StaleStateException.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

Constructor Summary
`HibernateOptimisticLockingFailureException(StaleObjectStateException ex)`
`HibernateOptimisticLockingFailureException(StaleStateException ex)`

Method Summary

Methods inherited from class org.springframework.orm.ObjectOptimisticLockingFailureException
`getIdentifier, getPersistentClass, getPersistentClassName`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateOptimisticLockingFailureException

    public HibernateOptimisticLockingFailureException(StaleObjectStateException ex)

### HibernateOptimisticLockingFailureException

    public HibernateOptimisticLockingFailureException(StaleStateException ex)